Package org.silverpeas.mobile.client.apps.classifieds.pages.widgets

## Class ClassifiedItem

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.apps.classifieds.pages.widgets.ClassifiedItem

- All Implemented Interfaces:
    `com.google.gwt.event.dom.client.ClickHandler`, `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`

      public class ClassifiedItem
      extends com.google.gwt.user.client.ui.Composite
      implements com.google.gwt.event.dom.client.ClickHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ApplicationMessages` | `msg` |

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassifiedItem()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `hasComments​(boolean hasComments)` |
    `void` | `onClick​(com.google.gwt.event.dom.client.ClickEvent event)` |
    `void` | `setApplication​(App application)` |
    `void` | `setCategory​(String category)` |
    `void` | `setData​(ClassifiedDTO data)` |
    `void` | `setType​(String type)` |

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### msg

          protected ApplicationMessages msg

  - ### Constructor Detail

    - #### ClassifiedItem

          public ClassifiedItem()

  - ### Method Detail

    - #### hasComments

          public void hasComments​(boolean hasComments)

    - #### setData

          public void setData​(ClassifiedDTO data)

    - #### setCategory

          public void setCategory​(String category)

    - #### setType

          public void setType​(String type)

    - #### setApplication

          public void setApplication​(App application)

    - #### onClick

          public void onClick​(com.google.gwt.event.dom.client.ClickEvent event)

      Specified by:
        `onClick` in interface `com.google.gwt.event.dom.client.ClickHandler`